// component/personCenter/personCenter.js
var app = getApp()
const wxService = require('../../utils/wxService')
const envInfo = require('../../config/index').envInfo

Component({
  properties: {
    personData: {
			type: Object,
			value: {},
    },
    integralNum:  {
			type: Number,
			value: 0,
    },
    couponNum:  {
			type: Number,
			value: 0,
    },
  },
  /**
   * 页面的初始数据
   */
  data: {
    personCenter: {},
    memberCardNo: "",
    memberActivateStatus: false
  },
  attached () {
    this.setData({
      personCenter: this.data.personData
    })
    // 取会员卡号
    const {memberCardNo} = wx.getStorageSync('_baseUserInfo')
    const memberActivateStatus = wx.getStorageSync('memberActivateStatus')
    this.setData({
      memberCardNo,
      memberActivateStatus
    })
  },
  methods: {
    toBonusDetails() {
      wxService.router(`/pages/integralWater/integralWater`)
    },
    toCouponList() {
      wxService.router(`/pages/coupons/coupons`)
    },
    // 点击编辑
    handelPersonCenter() {
      console.log('点击编辑')
    },
    handleTtoActiveMemebr() {
      wxService.openCard()
    },
    handleGoWxCard() {
      console.log('kabao')
      // wechatCardId wechatCode
      const {wechatCardId,wechatCode} = wx.getStorageSync('_baseUserInfo')
      wx.openCard({
        cardList: [{
          cardId: wechatCardId,
          code: wechatCode
        }],
        success (res) { 
          console.log('查看微信卡包中的卡券', res)
        }
      })

    }
  }
})